Skip to main content
GET
/
v2
/
resource-restrictions
List resource restrictions the caller is permitted to manage.
curl --request GET \
  --url https://api.arize.com/v2/resource-restrictions \
  --header 'Authorization: Bearer <token>'
{
  "resource_restrictions": [
    {
      "resource_type": "PROJECT",
      "resource_id": "TW9kZWw6MTIxOmFCY0Q=",
      "created_at": "2026-01-01T12:00:00Z"
    },
    {
      "resource_type": "PROJECT",
      "resource_id": "TW9kZWw6OTg3OnhZelc=",
      "created_at": "2026-03-15T09:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "cursor_12345",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Query Parameters

resource_type
enum<string>

Filter restrictions to a single resource type.

  • PROJECT — Return only restricted projects.

When not specified, restrictions of all supported resource types are returned (currently only PROJECT).

Type of the restricted resource.

  • PROJECT - A project within a space.
Available options:
PROJECT
Example:

"PROJECT"

limit
integer
default:50

Maximum items to return

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor returned from a previous response (pagination.next_cursor). Treat it as an unreadable token; do not attempt to parse or construct it.

Response

A list of resource restriction records.

resource_restrictions
object[]
required

A list of resource restriction records.

pagination
object
required

Pagination metadata for cursor-based navigation.